ace.define("ace/mode/ptlogs_highlight_rules",["require","exports","module","ace/lib/oop","ace/mode/text_highlight_rules"], function(require, exports, module) {
"use strict";

var oop = require("../lib/oop");
var TextHighlightRules = require("./text_highlight_rules").TextHighlightRules;

var ptlogsHighlightRules = function() {


    this.$rules = {
        "start": [
            {
                token: "ptlog-date",
                regex: /^\d{4}\-\d{2}\-\d{2} \d{2}:\d{2}:\d{2}/
            }, {
                token: "ptlog-info",
                regex: /INFO/
            }, {
                token: "ptlog-error",
                regex: /ERROR/
            }, {
                token: "ptlog-warning",
                regex: /WARNING/
            }, {
                defaultToken: "ptlog-content"
            }
        ]
    };

};

oop.inherits(ptlogsHighlightRules, TextHighlightRules);

exports.ptlogsHighlightRules = ptlogsHighlightRules;
});

ace.define("ace/mode/ptlogs",["require","exports","module","ace/lib/oop","ace/mode/text","ace/mode/ptlogs_highlight_rules"], function(require, exports, module) {
"use strict";

var oop = require("../lib/oop");
var TextMode = require("./text").Mode;
var ptlogsHighlightRules = require("./ptlogs_highlight_rules").ptlogsHighlightRules;

var Mode = function() {
    this.HighlightRules = ptlogsHighlightRules;
    this.$behaviour = this.$defaultBehaviour;
};
oop.inherits(Mode, TextMode);

(function() {
    this.$id = "ace/mode/logs";
}).call(Mode.prototype);

exports.Mode = Mode;
});
